# Poco::Net

# class CertificateHandlerFactory

Library: NetSSL_OpenSSL
Package: SSLCore
Header: Poco/Net/CertificateHandlerFactory.h

## Description

A CertificateHandlerFactory is responsible for creating InvalidCertificateHandlers.

You don't need to access this class directly. Use the macro

    POCO_REGISTER_CHFACTORY(namespace, InvalidCertificateHandlerName)

instead (see the documentation of InvalidCertificateHandler for an example).

## Inheritance

Known Derived Classes: CertificateHandlerFactoryImpl

## Member Summary

Member Functions: create

## Constructors

### CertificateHandlerFactory

CertificateHandlerFactory();

Creates the CertificateHandlerFactory.

## Destructor

### ~CertificateHandlerFactory

virtual ~CertificateHandlerFactory();

Destroys the CertificateHandlerFactory.

## Member Functions

### create

virtual InvalidCertificateHandler * create(
bool server
) const = 0;

Creates a new InvalidCertificateHandler. Set server to true if the certificate handler is used on the server side.